﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/FullPage.Master" Inherits="System.Web.Mvc.ViewPage<EduCloud.Models.ChangePasswordModel>" %>


<asp:Content ID="loginHeader" ContentPlaceHolderID="Header" runat="server">
    <br /><div align=center style="font-size:medium; font-weight:bold; color:white">修改密码</div><br />
</asp:Content>

<asp:Content ID="changePasswordContent" ContentPlaceHolderID="MainContent" runat="server">

    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
    <div align="center">
    <table width="800">
    <tr>
    <td>
    
    <%: Html.ValidationSummary(true, "密码修改失败，请重试") %>

    <% using (Html.BeginForm()) { %>
        <ul data-role="listview" data-inset="true">
            <li data-role="list-divider">密码修改</li>

            <li data-role="fieldcontain">
                <label for="OldPassword">旧密码</label>
                <input data-val="true" data-val-required="必填" id="OldPassword" name="OldPassword" type="password" />

                <span class="field-validation-valid" data-valmsg-for="OldPassword" data-valmsg-replace="true"></span>
            </li>

            <li data-role="fieldcontain">
                <label for="NewPassword">新密码</label>
                <input data-val="true" data-val-length=" 至少6个字符" data-val-length-max="100" data-val-length-min="6" data-val-required="必填" id="NewPassword" name="NewPassword" type="password" />
                <span class="field-validation-valid" data-valmsg-for="NewPassword" data-valmsg-replace="true"></span>
            </li>

            <li data-role="fieldcontain">
                <label for="ConfirmPassword">确认新密码</label>
                <input data-val="true" data-val-equalto="两次密码输入不匹配" data-val-equalto-other="*.NewPassword" id="ConfirmPassword" name="ConfirmPassword" type="password" />
                <span class="field-validation-valid" data-valmsg-for="ConfirmPassword" data-valmsg-replace="true"></span>
            </li>

			<li class="ui-body ui-body-c"> 
				<fieldset class="ui-grid-a"> 
					<div class="ui-block-a"><input type="submit" value="确认" data_icon = "check"/></div> 
					<div class="ui-block-b"><%: Html.ActionLink("取消", "Index", "Home", null, new { data_role="button",data_icon = "arrow-l", data_rel = "back" }) %></div> 
			    </fieldset> 
			</li> 
        </ul>
    <% } %>
    

    </td>
    </tr>
    </table>
    </div>
</asp:Content>
