﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.master" Inherits="System.Web.Mvc.ViewPage<EduCloud.Models.Users>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

<h2>Edit</h2>

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

<% using (Html.BeginForm()) { %>
    <%: Html.ValidationSummary(true) %>
    <fieldset>
        <legend>Users</legend>

        <div class="editor-label">
            <%: Html.LabelFor(model => model.ApplicationId) %>
        </div>
        <div class="editor-field">
            <%: Html.EditorFor(model => model.ApplicationId) %>
            <%: Html.ValidationMessageFor(model => model.ApplicationId) %>
        </div>

        <div class="editor-label">
            <%: Html.LabelFor(model => model.UserId, "Memberships") %>
        </div>
        <div class="editor-field">
            <%: Html.DropDownList("UserId", String.Empty) %>
            <%: Html.ValidationMessageFor(model => model.UserId) %>
        </div>

        <div class="editor-label">
            <%: Html.LabelFor(model => model.UserName) %>
        </div>
        <div class="editor-field">
            <%: Html.EditorFor(model => model.UserName) %>
            <%: Html.ValidationMessageFor(model => model.UserName) %>
        </div>

        <div class="editor-label">
            <%: Html.LabelFor(model => model.IsAnonymous) %>
        </div>
        <div class="editor-field">
            <%: Html.EditorFor(model => model.IsAnonymous) %>
            <%: Html.ValidationMessageFor(model => model.IsAnonymous) %>
        </div>

        <div class="editor-label">
            <%: Html.LabelFor(model => model.LastActivityDate) %>
        </div>
        <div class="editor-field">
            <%: Html.EditorFor(model => model.LastActivityDate) %>
            <%: Html.ValidationMessageFor(model => model.LastActivityDate) %>
        </div>

        <p>
            <input type="submit" value="Save" />
        </p>
    </fieldset>
<% } %>

<div>
    <%: Html.ActionLink("Back to List", "Index") %>
</div>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Header" runat="server">
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Menu" runat="server">
</asp:Content>
