﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<EduCloud.Models.Entity>" %>
<%--<script src="/Scripts/Upload/jquery.uploadify.v2.1.4.min.js" type="text/javascript"></script>
<script src="/Scripts/Upload/swfobject.js" type="text/javascript"></script>
<link href="/Scripts/Upload/uploadify.css" rel="stylesheet" type="text/css" />--%>

<script type="text/javascript">

    function checkSize(filePicker) 
    {
        //var limit = limitM * 1024;
        var oFileChecker = document.getElementById("fileChecker");
        oFileChecker.src = filePicker.value;
        alert(filePicker.value);
        if (oFileChecker.fileSize > 1) 
        {
            alert("文件超过M限制，请压缩后重传或选择其它文件！");
            //filePicker.value = null;
        }
    }

    function getFileSize(filePath) {
        alert(filePath.value);
        var fso = new ActiveXObject("Scripting.FileSystemObject");
        alert("文件大小为：" + fso.GetFile(filePath).size);
    }

    $(document).ready(function () {
        $("#uploadify").uploadify({
            'uploader': '/Scripts/Upload/uploadify.swf',
            'script': '/Entity/uploadFile',
            'cancelImg': '/Scripts/Upload/cancel.png',
            'folder': '/Files/Image',
            'queueID': 'fileQueue',
            'auto': false,
            'multi': true,
            //'onInit': function () { alert("1"); },
            'onSelect': function (e, queueId, fileObj) {
                alert("文件名：" + fileObj.name + "\r\n" +
                  "文件大小：" + fileObj.size + "\r\n" +
                  "文件类型：" + fileObj.type);
            }
        });
    });  
</script> 

<%
    string placeHolder = "";
    int maxLength = 10000;
    if (ViewBag.Type.IndexOf("MicroBlog") > -1)
    {
        maxLength = 10000;
        placeHolder = "不限字数，可分段落";
    }
        %>


<div data-role="collapsible-set" style="width:600px">
<div data-role="collapsible">
<h4>文字</h4>

<% using (Html.BeginForm())
{       
    %>
<%: Html.ValidationSummary(true)%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布文字</li>
        <li>
            <textarea id="Textarea1" name="Memo" rows=5 data-val="true" data-val-required="请填写！" placeholder="<%: placeHolder%>" maxlength=<%: maxLength %>></textarea>
        </li>
        <input id="Hidden2" name="Type" type="hidden" value="<%: ViewBag.Type %>" />
        <input id="Hidden3" name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="TextArea" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="check"/>
        </li>
    </ul>
<% };%>
</div>

<div data-role="collapsible">
<h4>图文</h4>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布图文（图片文件限1兆以内）</li>
        <li>
        <div data-role="controlgroup" data-type="horizontal">
            <label for="Name">选择图片：</label>
            <%--<div id="fileQueue"></div>--%>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件"<%-- id="uploadify"--%>/>
            <%--<a href="javascript:$('#uploadify').uploadifyUpload()"  data-role="button" data-icon="arrow-f" data-iconpos="right">上传</a>--%>
            <a href ="http://down.tech.sina.com.cn/list/80_2_1.html" target="new" data-role="button" data-icon="arrow-r" data-iconpos="right">图片压缩工具</a>
        </div>
        </li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！"  placeholder="<%: placeHolder%>" maxlength=<%: maxLength %>></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: ViewBag.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Image" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>

<div data-role="collapsible">
<h4>视频</h4>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布视频（MP4（推荐）/AVI/MPG/WMV/rmvb/rm）（视频文件限500兆以内）</li>
        <li>
        <div data-role="controlgroup" data-type="horizontal">
            <label for="Name">选择视频：</label>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件" onchange="checkSize(this,300)"/>
            <a href ="http://mobile.youku.com/index/pc" target="new" data-role="button" data-icon="arrow-r" data-iconpos="right">视频压缩为MP4(优酷转码)</a>
        </div>
        </li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！"  placeholder="<%: placeHolder%>" maxlength=<%: maxLength %>></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: ViewBag.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Video" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>

<div data-role="collapsible">
<h4>嵌入视频链接</h4>
<% using (Html.BeginForm())
    {       
        %>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">嵌入外部视频链接（MP4（推荐）/AVI/MPG/WMV/rmvb/rm）</li>
        <li data-role="fieldcontain">
            <label for="Name">外部视频链接地址：</label>
            <input class="text-box single-line" id="Text2" name="Name" type="text" value="" data-val="true" data-val-required="请填写！" placeholder="优库、土豆等视频文件的链接地址，例如 http://www.youku.com/file.mp4 等" />
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！" placeholder="<%: placeHolder%>" maxlength=<%: maxLength %>></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: ViewBag.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Embed" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>

<div data-role="collapsible">
<h4>录音/MP3</h4>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布录音/音乐（MP3文件大小限100兆）</li>
        <li data-role="fieldcontain">
            <label for="Name">选择Mp3文件：</label>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件" onchange="checkSize(this,20)"/></li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！" placeholder="<%: placeHolder%>" maxlength=<%: maxLength %>></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: ViewBag.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Audio" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>

<div data-role="collapsible">
<h4>文件</h4>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布文件（文件大小限200兆；若多个文件请先压缩为一个文件包）</li>
        <li data-role="fieldcontain">
            <label for="Name">选择文件：</label>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件" onchange="checkSize(this,20)"/></li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！" placeholder="<%: placeHolder%>" maxlength=<%: maxLength %>></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: ViewBag.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="File" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>
</div>
