﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<EduCloud.Models.Entity>" %>

<div class="ui-body ui-body-<%:Session["PageStyle"]%>">
    <a href="#<%= Model.ID%>" data-rel="popup"><img src="/Files/Image/<%= Model.Name%>" alt="" width=200/></a>
                    <div data-role="popup" id="<%= Model.ID%>" class="photopopup" data-overlay-theme="d" data-corners="false" data-tolerance="30,15">
                    <a href="#" data-rel="back" data-role="button" data-theme="d" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
                    <img src="/Files/Image/<%= Model.Name%>" alt=""/>
                    </div>
    <article><%:Model.Memo %></article><br />
    
    <p align="right"><%:ViewBag.Author %>&nbsp&nbsp<%:Model.DateTime.ToString("yyyy-MM-dd HH:mm:ss")%></p>

</div>    

<% if (ViewBag.Write){%>
<div data-role="controlgroup" data-type="horizontal">
<% if (Model.Description != "FK")
       {%>
    
        <a href="#<%=Model.ID %>edit" data-rel="popup" data-role=button data-icon="arrow-r">修改</a>
        <div data-role="popup" id="<%=Model.ID %>edit">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("Edit", "Entity", new { id = Model.ID})%>
        </div><%} %>
    <a href="#<%=Model.ID %>del" data-rel="popup" data-role=button data-icon=delete style="display:inline-block">删除</a>
        <div data-role="popup" id="<%=Model.ID %>del">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("Delete", "Entity", new { id = Model.ID, Page = ViewBag.Page })%>
        </div>
</div>
<%} %>
<br />