﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<EduCloud.Models.Entity>" %>


<%Model.Memo = Model.Memo == null ? "" : Model.Memo; %>

<div style="display:inline-block">
<div class="ui-body ui-body-<%:Session["PageStyle"]%>">
    
    <article><%:Model.Memo %></article><br />
    <a href="#<%= Model.ID%>" data-rel="popup" data-role=button data-icon=arrow-r style="display:inline-block">视频</a>
    <% if (Model.Description == "Video")
       {%>
    <a href="/Files/Video/<%= Model.Name%>" data-role=button data-icon=arrow-d style="display:inline-block" target=_blank>下载</a>
    <%}
       else
       { %>
    <a href="<%= Model.Name%>" data-role=button data-icon=arrow-d style="display:inline-block" target=_blank>下载</a>
    <%} %>
    <div data-role="popup" id="<%= Model.ID%>">
    <a href="#" data-rel="back" data-role="button" data-theme="d" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
<%
    
    int Width=800;
    int Height=515;
    
    if(Session["Version"]=="MB")
    {
        Width=400;
        Height=256;
    }

%>


    <%if (Model.Description == "Video")
      {%>

        <!--[if !IE]><!--> 
        <video src="/Files/Video/<%= Model.Name%>" width=<%= Width%> height=<%= Height%> controls="controls" preload="meta" ondblclick="ResizeVideo(this)"></video>
        <!--<![endif]-->

        <!--[if IE]>
              <embed src="/Files/Video/<%= Model.Name%>" 
                allowscriptaccess="always" allowfullscreen="true" wmode="opaque" width="<%= Width%>" height="<%= Height%>"></embed>
        <![endif]-->
        

      <%}%>

    <%if (Model.Description == "Embed")
      {%>

      <%if (Model.Name.IndexOf(".MP4") > 0 || Model.Name.IndexOf(".mp4") > 0)
        {%>
            <video src="<%= Model.Name%>" width=<%= Width%> height=<%= Height%> controls="controls" preload="meta" ondblclick="ResizeVideo(this)"></video>
        <%}
        else
        { %>
            <%--<EMBED WIDTH=<%= Width%> HEIGHT=<%= Height%> autostart="false" fullScreen="1" uiMode="full" 
            SRC="<%= Model.Name%>" 
            CONTROLS=all CONSOLE=one>--%>
            <embed src="<%= Model.Name%>" type="application/x-shockwave-flash" 
            allowscriptaccess="always" allowfullscreen="true" wmode="opaque" width="<%= Width%>" height="<%= Height%>"></embed>
        <%} %>
        

      <%}%>

    </div>

    <p align="right"><%:ViewBag.Author %>&nbsp&nbsp<%:Model.DateTime.ToString("yyyy-MM-dd HH:mm")%></p>

</div>

<% if (ViewBag.Write){%>
<div data-role="controlgroup" data-type="horizontal">
<% if (Model.Description != "FK")
       {%>
    
        <a href="#<%=Model.ID %>edit" data-rel="popup" data-role=button data-icon="arrow-r">修改</a>
        <div data-role="popup" id="<%=Model.ID %>edit">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("Edit", "Entity", new { id = Model.ID})%>
        </div><%} %>
    <a href="#<%=Model.ID %>del" data-rel="popup" data-role=button data-icon=delete style="display:inline-block">删除</a>
        <div data-role="popup" id="<%=Model.ID %>del">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("Delete", "Entity", new { id = Model.ID, Page = ViewBag.Page })%>
        </div>
</div>
<%} %>

</div>