﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<EduCloud.Models.Entity>>" %>


<%if (Model.Count() > 0)
  {
      string LastClass = "";
      int Lastid = 0;
      int iLoop=0;%>


        <div data-role="collapsible-set" style="display:inline-block">
        <% foreach (var item in Model)
           {
               if (Lastid == item.ID)
               {
                   Lastid = item.ID;
                   iLoop++;
                   continue;
               }
               Lastid = item.ID;
               
               if (LastClass != item.Type)
               {
                   if (LastClass != "")
                       Response.Write("</div>");
                   LastClass = item.Type;
                   switch (LastClass)
                   {
                       case "Class":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的班级</h4><hr />
                        <%
                           break;
                       case "TeachingGroup":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的教研组</h4><hr /><%
                           break;
                       case "Course":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的课程</h4><hr /><%
                           break;
                       case "OptionalCourse":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的选修课</h4><hr /><%
                           break;
                       case "OnlineStudyProject":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的研究学习课题</h4><hr /><%
                           break;
                       case "GeneralAffairDept":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的部门</h4><hr /><%
                           break;
                       case "Department":
                       %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的部门</h4><hr /><%
                           break;
                       case "GradeStudySemester":
                       %><div data-role="collapsible" data-collapsed="false" style="vertical-align:top;" data-theme=e><h4>选修课项目 正在选课..</h4><hr /><%
                           break;
                       case "TeacherRateProject":
                       %><div data-role="collapsible" data-collapsed="false" style="vertical-align:top;" data-theme=e><h4>评任课老师 进行中..</h4><hr />
                        <%
                           break;
                       case "CounsellorRateProject":
                       %><div data-role="collapsible" data-collapsed="false" style="vertical-align:top;" data-theme=e><h4>评班主任 进行中..</h4><hr />
                        <%
                           break;
                        case "Community":
                           %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>我的社团</h4><hr />
                            <%
                               break;

                        case "CommunityManagerProject":
                           %><div data-role="collapsible" data-collapsed="true" style="vertical-align:top;" data-theme=e><h4>申请社团 开放中</h4><hr />
                            <%
                               break;
                           
                   }
               }%>


        <ul data-role="listview" data-inset="true" data-split-icon="arrow-r" data-divider-theme="<%:Session["DividerStyle"]%>" style="display:inline-block;vertical-align:top;">
        <li <%if (ViewBag.ListImg[iLoop] != "")
                  Response.Write("data-icon='false'");%>>
            <a href="/Entity/Index/<%:item.ID %>?Type=All&Page=1" target=_blank>
            <%if (ViewBag.ListImg[iLoop] != "")
                  Response.Write("<div><img src='/Files/image/" + ViewBag.ListImg[iLoop] + "' width=" + 150 + "/></div>");
              else if (ViewBag.haveImg == true)
                  Response.Write("<div><img src='/Files/image/noimg.jpg' width=" + 150 + "/></div>");

              if (ViewBag.ListImg[iLoop] != "" || item.Memo != null)
                  Response.Write("<div><h4>" + item.Name + "</h4>");
                else
                  Response.Write("<div>" + item.Name);%>

            <%if (item.Memo != null)
              { %>
            <p><%: item.Memo%></p><%} %>
            
            </div></a>

            <%if (LastClass == "Class")
                  {%>
                <a href="/Schedule/ViewClassScheduleByClassID?ClassID=<%:item.ID %>" target="_blank">课程表</a>
                <%} %>
            <%if (LastClass == "Course")
                  {%>
                <a href="/Schedule/ViewCourseScheduleByCourseID?CourseID=<%:item.ID %>" target="_blank">课程表</a>
                <%} %>

             <% 
            if ((LastClass == "Course" || LastClass == "OptionalCourse") & (int)Session["UserID"]==ViewBag.ParentID & (item.Description =="CourseTeacher" || item.Description =="OptionalCourseTeacher"))
            {%>
             </li><li><a href="/Entity/AddLessonRate/?ParentID=<%:item.ID %>" target=_blank>一键生成实时考勤..</a>
             <% }%>

             <% 
            if (ViewBag.isUser == true)
            {
                if (ViewBag.haveImg == true)
                { %>
             </li><li><a href="/Entity/Index/<%:item.edID %>?Type=All&Page=1" target=_blank>个人主页..</a>
             <% }
                else
                { %>
             <a href="/Entity/Index/<%:item.edID %>?Type=All&Page=1" target=_blank>访问个人主页..</a>
             <% }
            }%>
        </li></ul>


        <%iLoop++;
           } %>
           </div></div>

<%}
  else
  {
  %>
  <ul data-role="listview" data-inset="true" data-filter="false" data-divider-theme="<%:Session["DividerStyle"]%>">
  <li><%: Html.ActionLink("学生选择加入分部下面的班级", "Index", new { id = 1, Type = "Section", Page = 1 })%></li>
  <li><%: Html.ActionLink("教师选择加入分部下面的教研组", "Index", new { id = 1, Type = "Section", Page = 1 })%></li>
  </ul>
  <%}%>
