﻿<%@ Page Title="" Language="C#"  Inherits="System.Web.Mvc.ViewPage<EduCloud.Models.Entity>" %>

<%Model.Memo = Model.Memo == null ? "" : Model.Memo; %>
<div style="display:inline-block;vertical-align:top;">
<ul data-role="listview" data-inset="true" data-filter="false" data-split-icon="check" data-divider-theme="<%:Session["DividerStyle"]%>">
<li>
    <% if (Model.Memo.Length <= 200)
       { %>
    
        <table cellpadding="0" width="600">
            <tr>
                <td valign="top"><article><%:Model.Memo%></article><br />
                        <audio src="/Files/Audio/<%= Model.Name%>" controls="controls" preload="none"></audio>
                        <p align="right"><%:Model.DateTime.ToString("yyyy-MM-dd HH:mm")%></p>
                </td>
                <td width=80 valign="top" align=right><%=Html.Action("UserInfo", new { id = Model.AuthorID })%></td>
            </tr>
        </table>
    
    <%}
       else
       { %>
        <table cellpadding="0" width="600">
            <tr>
                <td valign="top"><article><%:Model.Memo.Substring(0, 200)%>...</article><br />
                        <audio src="/Files/Audio/<%= Model.Name%>" controls="controls" preload="none"></audio>
                        <p align="right"><%:Model.DateTime.ToString("yyyy-MM-dd HH:mm")%></p>
                </td>
                <td width=80 valign="top" align=right><%=Html.Action("UserInfo", new { id = Model.AuthorID })%></td>
            </tr>
        </table>

        <div data-role="collapsible">
            <h4>全文</h4>
            
            <article><%:Model.Memo%></article><br />
            <%--<audio src="/Files/Audio/<%= Model.Name%>" controls="controls" preload="none"></audio>--%>
            <p align="right"><%:Model.DateTime.ToString("yyyy-MM-dd HH:mm")%></p>
        </div>

    <%} %>

    

    <div data-role="controlgroup" data-type="horizontal">
    <%if (Model.Type != "Reply" && Model.Type != "DairyContent")
      { %>

        <a href="#<%=Model.ID %>reply" data-rel="popup" data-role=button data-icon="arrow-r">回复和评论</a>
        <div data-role="popup" id="<%=Model.ID %>reply" style ="padding:10px 10px 10px 10px">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("ListReply", new { ParentID = Model.ParentID, Type = Model.Type, Page = ViewBag.Page, toID = Model.ID })%>

        </div>


    <%} %>
    


<% if (ViewBag.Write){%>

    <% if (Model.Description != "FK" && Model.Type!="Reply")
       {%>
    
        <a href="#<%=Model.ID %>edit" data-rel="popup" data-role=button data-icon="arrow-r">修改</a>
        <div data-role="popup" id="<%=Model.ID %>edit">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("Edit", "Entity", new { id = Model.ID})%>
        </div><%} %>
    <% if (Model.ID> 1)
        { %><a href="#<%=Model.ID %>del" data-rel="popup" data-role=button data-icon=delete style="display:inline-block">删除</a>
        <div data-role="popup" id="<%=Model.ID %>del">
        <a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
        <%=Html.Action("Delete", "Entity", new { id = Model.ID, Page = ViewBag.Page })%>
        </div>
                <%--<a href="/Entity/Index/<%= Model.ParentID %>?Type=<%= Model.Type %>&Page=<%: ViewBag.Page%>" data-role="button" data-icon="back">返回上级</a>--%>
        <%} %>

<%} %>

    </div></li>

</ul>
</div>