﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

<form action="/Entity/GroupBy" method="post">
<input type="hidden" name="ParentID" value="<%:ViewBag.ParentID %>" />
<input type="hidden" name="Type" value="<%:ViewBag.Type %>" />
<input type="hidden" name="Page" value="1" />

<ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style=" width:500px">

<%
foreach (var item in ViewBag.ContentList)
{
    string Action = item.Action;
    string SelectName = item.Type;
                
    switch (Action)
    {
            case "SelectList":
               %>
                    <li data-role="fieldcontain">
                    <%: item.Name%>
                    <div data-role="collapsible">
                    <h4>选择</h4>                    
                        <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-role="fieldcontain">
                        <% 
                        SelectList SL=(SelectList)ViewData[SelectName];
                        foreach (var selectItem in SL)
                           { %>
                        <input type="checkbox" name="SelectID" id="<%:selectItem.Value %>" value="<%:selectItem.Value %>" class="custom" />
                        <label for="<%:selectItem.Value %>"><%:selectItem.Text%></label>
                        <%} %>
                        </fieldset>
                        </div>

                        </div>
                    </li>
            <% 
           break;
            case "SelectLayer":
               %>
                <li data-role="fieldcontain">
                    <label for="<%:item.Type %>"><%: item.Name%></label>
                    <%=Html.Action("GroupBySelectListLayer", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type,ActionType="ForSearch" })%>
                </li>
                <% 
               break;     
    }//end case
    
            }
            
            %>
            
            <li>
                <div data-role="collapsible">
                <h4><%=ViewBag.DataItemName%></h4>
                <div data-role="fieldcontain">
                <fieldset data-role="controlgroup">
                <% 
                    SelectList SeL = (SelectList)ViewData["itemList"];
                    foreach (var selectItem in SeL)
                    { %>
                <input type="checkbox" name="SelectItemID" id="<%:selectItem.Value %>" value="<%:selectItem.Value %>" class="custom"/>
                <label for="<%:selectItem.Value %>"><%:selectItem.Text%></label>
                <%} %>
                </fieldset>
                </div>
                </div>
            </li>
            
            <li><input type="submit" value="筛选 / 统计" data-icon="search"/></li></ul>
</form>