﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<EduCloud.Models.Entity>>" %>

<%
    string sNoIcon = "";
    if (ViewBag.haveImg == true)
        sNoIcon = "data-icon='false'";

    string imgWidth = "100";
    if (ViewBag.Type == "Teacher")
        imgWidth = "280";
    else if (ViewBag.Type == "Student")
        imgWidth = "150";
    else if (ViewBag.Type == "OptionalCourse")
        imgWidth = "280";
    else if (ViewBag.isUser == true)
        imgWidth = "100";
    
    if (ViewBag.TypeCount == 2 && ViewBag.Tree.Count>0)
    {
        string Name1 = "";
        foreach (var item in ViewBag.Tree)
        {
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</ul></div>");
                Name1 = item.Name1;
    %><div data-role="collapsible" data-collapsed="true">
        <h4><%:item.Name1 %></h4>
        
        <%}%>
        <ul data-role="listview" data-inset="true" data-split-icon="arrow-r" data-divider-theme="<%:Session["DividerStyle"]%>" style="display:inline-block">
            <li><a href="/Entity/Index/<%:item.ID2 %>?Type=All&Page=1" target=_blank><%:item.Name2 %></a></li>
        </ul>
        <%}%>
        </div>


<br />

<script src="/Scripts/CopyOrPrint.js" type="text/javascript"></script>
<div data-role="collapsible" data-collapsed="true">
<h4>复制到Excel 或打印</h4>
<div data-role="controlgroup" data-type="horizontal">
<a href="javascript:;" onClick="doPrint()" data-role=button>打印</a>&nbsp&nbsp&nbsp&nbsp<a href="javascript:;" onClick="copyExcel()" data-role=button>复制（然后到Excel中粘贴，请使用IE）</a>
</div>
<!--startprint-->
<div id="copynr">
<%

         Name1 = "";
        foreach (var item in ViewBag.Tree)
        {
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</tr></table>");
                Name1 = item.Name1;
    %>
        <h4><%:item.Name1 %></h4>
        <table border=1 cellpadding=3><tr>
        <%}%>
            <td><%:item.Name2 %></td>
        <%}%>
        </tr></table>


</div>
<!--endprint-->
</div>

    <%}%>





<%
    if (ViewBag.TypeCount == 3 && ViewBag.Tree.Count > 0)
    {
        string Name1 = "";
        string Name2 = "";
        int iLoop = 0;
        foreach (var item in ViewBag.Tree)
        {
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</div>");
                Name1 = item.Name1;
                Name2 = "";
        %><div data-role="collapsible" data-collapsed="true">
        <h4><%:item.Name1%></h4>
        <%}
            if (item.Name2 != Name2)
            {
                if (Name2 != "")
                    Response.Write("");
                Name2 = item.Name2;
        %><br/><ul data-role="listview" data-theme="c" data-inset="true" data-split-icon="arrow-r" style="display:inline-block">
            <li><a href="/Entity/Index/<%:item.ID2 %>?Type=<%:ViewBag.Type %>&Page=1" target=_blank><%:item.Name2 %></a></li></ul>
            
        <%}%>
        <ul data-role="listview" data-inset="true" data-split-icon="grid" data-split-theme="c" data-divider-theme="<%:Session["DividerStyle"]%>" style="display:inline-block;vertical-align:top;">
        <li <%=sNoIcon %>>
            <a href="/Entity/Index/<%:item.ID3 %>?Type=All&Page=1" target =_blank>
            <%if (ViewBag.ListImg[iLoop] != "")
                  Response.Write("<div><img src='/Files/image/" + ViewBag.ListImg[iLoop] + "' width=" + imgWidth + "/></div>");
              else if (ViewBag.haveImg == true)
                  Response.Write("<div><img src='/Files/image/noimg.jpg' width=" + imgWidth + "/></div>");

              if (ViewBag.ListImg[iLoop] != "" )//|| item.Memo != null
                  Response.Write("<div><h4>" + item.Name3 + "</h4>");
                else
                  Response.Write("<div>" + item.Name3);%>

            <%--<%if (item.Memo != null)
              { %>
            <p><%: item.Memo%></p><%} %>--%>
            
            </div></a>

             <% 
            if (ViewBag.isUser == true)
            {%>
             </li><li data-icon="false"><a href="/Entity/Index/<%:item.ID3 %>?Type=All&Page=1" target=_blank>个人主页..</a>
                        <a href="/Entity/Index/<%:item.ID3 %>?Type=LeaveMeMsg&Page=1" target=_blank>给我发信</a>
             <% 
            }%>
        </li></ul>
        <%iLoop++;
        }%>
        </div>



<br />
<script src="/Scripts/CopyOrPrint.js" type="text/javascript"></script>
<div data-role="collapsible" data-collapsed="true">
<h4>复制到Excel 或打印</h4>
    <div data-role="controlgroup" data-type="horizontal">
    <a href="javascript:;" onClick="doPrint()" data-role=button>打印</a>&nbsp&nbsp&nbsp&nbsp<a href="javascript:;" onClick="copyExcel()" data-role=button>复制（然后到Excel中粘贴，请使用IE）</a>
    </div>
    <!--startprint-->
    <div id="Div1">
<%
    int i = 0;

         Name1 = "";
         Name2 = "";
        foreach (var item in ViewBag.Tree)
        {
            i++;
            if (item.Name1 != Name1)
            {
                i = 1;
                if (Name1 != "")
                    Response.Write("</table>");
                Name1 = item.Name1;
                Name2 = "";
        %>
        <br/><h4><%:item.Name1%></h4><table border=1 cellpadding=3>
        <%}
            if (item.Name2 != Name2)
            {
                if (Name2 != "")
                    Response.Write("</tr>");
                Name2 = item.Name2;
        %>
            
        <%}%>
            <tr><td><%:i %></td><td><%:item.Name2%></td><td><%:item.Name3 %></td></tr>
        <%}%>
        </table>

    </div>
    <!--endprint-->
</div>

<%}%>


