﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<IEnumerable<EduCloud.Models.Entity>>" %>

<!DOCTYPE html>

<html>
<body>

<%
    if (ViewBag.TreePlace == "Branch")
    {%>
        <%=Html.Action("SearchLeaf", new { ParentID = ViewBag.ParentID, Type = ViewBag.Type })%>
    <%}%>


<ul data-role="listview" data-inset="true" data-filter="false" data-split-icon="arrow-r">

    <li data-role="list-divider">显示 <%:ViewBag.RecordCount %> 条记录 / 共有 <%:ViewBag.AllCount %> 条 <%Response.Write(ViewBag.AllCount > 0 ? "/ 占比 "+Convert.ToInt32(Convert.ToDouble(ViewBag.RecordCount) / ViewBag.AllCount * 100)+ "％":"");%></li>

    <% 
    if (Model!=null)
        foreach (var item in Model) { %>
        <li>
            <%--<%: Html.ActionLink(item.Name, "Index", new { id = item.ID, Type = "All", Page = ViewBag.Page })%>--%>
            <%if ((item.edID == (int)Session["UserID"] || (string)Session["UserType"] == "SchoolAdmin" || (string)Session["UserType"] == "TeachingAffairAdmin") && item.ID>0)
              {%>
            <a href="/Entity/Index/<%:item.ID %>?Type=All&Page=<%:ViewBag.Page %>">
            <%: item.Name%>
            <%if (item.Memo != null)
              { %>
            <article><%: item.Memo%></article><%} %></a>
            <%}
              else
              { %>
            <%: item.Name%>
            <%if (item.Memo != null)
              { %>
            <article><%: item.Memo%></article><%} %>
            <%} %>

             <%--<% if (item.Description == "FK") { %>
             <%:Html.ActionLink("访问来源", "Index", new { id = item.edID, Type = "All", Page = 1 })%>
             <% } %>--%>
        </li>

    <% } %>
</ul>



<br /><br /><br />
<script src="/Scripts/CopyOrPrint.js" type="text/javascript"></script>
<div data-role="collapsible" style="display:inline-block">
<h4>复制到Excel 或打印</h4>
    <div data-role="controlgroup" data-type="horizontal">
    <a href="javascript:;" onClick="doPrint()" data-role=button>打印</a>&nbsp&nbsp&nbsp&nbsp<a href="javascript:;" onClick="copyExcel()" data-role=button>复制（然后到Excel中粘贴，支持IE）</a>
    </div>
    <!--startprint-->
    <div id="copynr" style="background-color:White; padding:10px 10px 10px 10px">

    <h4><%:ViewBag.TeacherName %> 评价结果</h4>
    <table border=1 cellpadding=5>

    <%
    if (Model!=null)
        foreach (var item in Model) { %>
        <tr><td>

            <%: item.Name%>
            <%if (item.Memo != null)
              { %>
            <article><%: item.Memo%></article><%} %>

        </td></tr>

    <% } %>
    </table>
</div>
    <!--endprint-->
</div>

<br /><br />
<div data-role="collapsible" data-collapsed="true">
<h4>集中显示文字评价：（回答不少于5个字）</h4>
<ul data-role="listview" data-inset="true" data-filter="false" data-split-icon="arrow-r">
    <% 
        foreach (var item in ViewBag.ListComment)
            if (item.Length>=2)
              { %>
            <li><article><%: item%></article></li>
            <%} %>
</ul>
</div>

<%if (false)//ViewBag.Delete && Model.Count()>1
  {%>
<div data-role="collapsible" data-collapsed="true">
<h4>批量删除</h4>
<script type="text/javascript">
    $("#checkall").click(
function () {
    if (this.checked) {
        $("input[type='checkbox']").attr("checked", true).checkboxradio("refresh");
    } else {
        $("input[type='checkbox']").attr("checked", false).checkboxradio("refresh");
    }

}
);
</script>
<form action="/Entity/DeleteSelect" method="post" name="FormSelect">
    <div data-role="fieldcontain">
        <fieldset data-role="controlgroup"> 
        <input type="checkbox" name="checkall" id="checkall" />
        <label for="checkall">全选/取消</label>
        <% foreach (var item in Model)
           { %>
            <input type="checkbox" name="SelectID" id="<%:item.ID %>"  value="<%:item.ID %>"/>
	        <label for="<%:item.ID %>"><%: item.Name%></label>
            <% } %>
    </fieldset>
    </div>
    <input type="hidden" name="ParentID" value="<%:ViewBag.ParentID %>" />
    <input type="hidden" name="Type" value="<%:ViewBag.Type %>" />
    <input type="hidden" name="Page" value="<%:ViewBag.Page %>" />
    <input type="submit" value="确认删除" data-icon="delete"/>
</form>
</div>
<%} %>

<%if (ViewBag.pageCount > 1)
  {%>
<div data-role="controlgroup" data-type="horizontal" align="right">

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=1" data-role="button">首页</a>

  <%if (ViewBag.pPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pPage %>" data-role="button" data-icon="arrow-l">&nbsp</a>
  <%} %>

  <%for (int i = ViewBag.pageMin; i <= ViewBag.pageMax; i++)
    {
        string p = i == ViewBag.Page ? "<u>" + i + "</u>" : Convert.ToString(i);%>
        <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:i %>" data-role="button"><%=p%></a>
       <%}%>

  <%if (ViewBag.nPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.nPage %>" data-role="button" data-icon="arrow-r">&nbsp</a>
  <%} %>

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pageCount %>" data-role="button">尾页（<%:ViewBag.pageCount %>）</a>

</div>
<%} %>

</body>
</html>
