﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<!DOCTYPE html>

<html>
<body>


<%=Html.Action("GroupByArea", new { ParentID = ViewBag.ParentID, Type = ViewBag.Type })%>

<ul data-role="listview" data-inset="true" data-filter="false" data-split-icon="arrow-r">
<%
    if (ViewBag.TreePlace == "Branch")
    {%>
    <li data-role="list-divider">显示 <%:ViewBag.RecordCount %> 条记录 / 共有 <%:ViewBag.AllCount %> 条 <%Response.Write(ViewBag.AllCount > 0 ? "/ 占比 "+Convert.ToInt32(Convert.ToDouble(ViewBag.RecordCount) / ViewBag.AllCount * 100)+ "％":"");%></li>
     <%}%>

    <% 
        int SN = 1;
        if (ViewBag.Datalist != null)
            foreach (var item in ViewBag.Datalist)
        {
            if ((string)item.Name != (string)Session["UserRealName"] && (string)Session["UserType"] != "SchoolAdmin" && (string)Session["UserType"] != "TeachingAffairAdmin" && SN > 10)
            {%>
        <li>
            <%:SN%>  ***：平均分 <%=string.Format("{0:n}", item.Expr1)%>
        </li>
        <%}
            else
            { %>
            <li>
            <a href="/Entity/Index/<%:item.ID %>?Type=TheRater&Page=1"><%:SN%>  <%= (string)item.Name%>：平均分 <%=string.Format("{0:n}", item.Expr1)%></a>
            </li>
    <%} SN++;
        } %>

</ul>

<%if (ViewBag.Delete && ViewBag.Datalist.Count > 1)
  {%>
<div data-role="collapsible" data-collapsed="true">
<h4>批量删除</h4>
<script type="text/javascript">
    $("#checkall").click(
function () {
    if (this.checked) {
        $("input[type='checkbox']").attr("checked", true).checkboxradio("refresh");
    } else {
        $("input[type='checkbox']").attr("checked", false).checkboxradio("refresh");
    }

}
);
</script>
<form action="/Entity/DeleteSelect" method="post" name="FormSelect">
    <div data-role="fieldcontain">
        <fieldset data-role="controlgroup"> 
        <input type="checkbox" name="checkall" id="checkall" />
        <label for="checkall">全选/取消</label>
        <% foreach (var item in ViewBag.Datalist)
           { %>
            <input type="checkbox" name="SelectID" id="<%:item.ID %>"  value="<%:item.ID %>"/>
	        <label for="<%:item.ID %>"><%: item.Name%></label>
            <% } %>
    </fieldset>
    </div>
    <input type="hidden" name="ParentID" value="<%:ViewBag.ParentID %>" />
    <input type="hidden" name="Type" value="<%:ViewBag.Type %>" />
    <input type="hidden" name="Page" value="<%:ViewBag.Page %>" />
    <input type="submit" value="确认删除" data-icon="delete"/>
</form>
</div>
<%} %>

<%if (ViewBag.pageCount > 1)
  {%>
<div data-role="controlgroup" data-type="horizontal" align="right">

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=1" data-role="button">首页</a>

  <%if (ViewBag.pPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pPage %>" data-role="button" data-icon="arrow-l">&nbsp</a>
  <%} %>

  <%for (int i = ViewBag.pageMin; i <= ViewBag.pageMax; i++)
    {
        string p = i == ViewBag.Page ? "<u>" + i + "</u>" : Convert.ToString(i);%>
        <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:i %>" data-role="button"><%=p%></a>
       <%}%>

  <%if (ViewBag.nPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.nPage %>" data-role="button" data-icon="arrow-r">&nbsp</a>
  <%} %>

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pageCount %>" data-role="button">尾页（<%:ViewBag.pageCount %>）</a>

</div>
<%} %>

</body>
</html>
