﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<EduCloud.Models.EntityDic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">


<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

<%=Html.Action("Details", new { id = ViewBag.ParentID })%>

<br />


<% using (Html.BeginForm())
   { %>
    <%: Html.ValidationSummary(true)%>

    <ul data-role="listview" data-inset="true" data-theme="d">
        <li data-role="list-divider">添加</li>
        <li data-role="fieldcontain">
            <label for="Name">名称</label>
            <input class="text-box single-line" id="Name" name="Name" type="text" value="" required="required" autofocus="true" />
        </li>
        <li data-role="fieldcontain">
            <label for="Type">类型代码</label>
            <input class="text-box single-line" id="Type" name="Type" type="text" value="" required="required" />
        </li>
        <li data-role="fieldcontain">
            <label for="Description">描述</label>
            <input class="text-box single-line" id="Description" name="Description" type="text" value="None" required="required" />
        </li>
        <li data-role="fieldcontain">
            <label for="Action">动作</label>
            <select name="Action" id="Action">
	            <option value="Text" >Text</option>
                <option value="TextArea" >TextArea</option>
                <option value="Select" >Select</option>
                <option value="SelectList" >SelectList</option>
                <option value="SelectLayer" >SelectLayer</option>
                <option value="ListLayer" >ListLayer</option>
                <option value="Range" >Range</option>
                <option value="Must" >Must</option>
                <option value="Date" >Date</option>
	            <option value="DateTime" >DateTime</option>
                <option value="Image" >Image</option>
                <option value="Video" >Video</option>
                <option value="Audio" >Audio</option>
                <option value="RichText" >RichText</option>
                <option value="Article" >Article</option>
                <option value="Branch" >Branch</option>
                <option value="iJoin" >iJoin</option>
                <option value="Password" >Password</option>
                <option value="Batch" >Batch</option>
                <option value="Move" >Move</option>
                <option value="Action" >Action</option>
                <option value="ActionNew" >ActionNew</option>
                <option value="ActionNew" >gap</option>
                <option value="ControllerAction" >ControllerAction</option>
            </select>
        </li>
        <li data-role="fieldcontain">
            <label for="HowMany">多少</label>
            <input type="range" name="HowMany" id="HowMany" value="0" min="0" max="100"  />
        </li>
        <li data-role="fieldcontain">
            <label for="FromID">FromID</label>
            <input class="text-box single-line" id="FromID" name="FromID" type="text" value="" />
        </li>
        <li data-role="fieldcontain">
            <label for="FromType">FromType</label>
            <input class="text-box single-line" id="FromType" name="FromType" type="text" value="" />
        </li>
        <li data-role="fieldcontain">
            <label for="TreePlace">TreePlace</label>
            <select name="TreePlace" id="TreePlace">
	            <option value="Node" >Node</option>
                <option value="Leaf" >Leaf</option>
                <option value="Branch" >Branch</option>
                <option value="Class" >Class</option>
                <option value="divider" >divider</option>
                <option value="Show" >Show</option>
            </select>
        </li>
        <li data-role="fieldcontain">
            <label for="DefaultVal">默认值</label>
            <textarea id="DefaultVal" name="DefaultVal"  value="" rows=5 /></textarea>
        </li>
        <li data-role="fieldcontain">
            <label for="R">读</label>
            <input class="text-box single-line" id="R" name="R" type="text" />
        </li>
        <li data-role="fieldcontain">
            <label for="W">写</label>
            <input class="text-box single-line" id="W" name="W" type="text" />
        </li>
        <li data-role="fieldcontain">
            <label for="FromType">序号</label>
            <input type="range" name="SN" id="slider-0" value="0" min="0" max="200" step="1" />
        </li>
        <input id="ParentID" name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />

        <li>
            <input type="submit" value="添&nbsp&nbsp&nbsp&nbsp加" data-icon="check"/>
        </li>
    </ul>
<% } %>

<%--<%=Html.Action("List", new { ParentID = ViewBag.ParentID })%>--%>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Menu" runat="server">
<div data-role="collapsible-set" <% if (Session["PageStyle"]!="a"){%> style="background-color:#84C1FF"<%} %>>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <% 
            string LastClass = "";
            if (Session["Version"]=="PC" || ViewBag.Type=="All")
               foreach (var item in ViewBag.menuList)
               {                   
                   if (item.Name.IndexOf("：") >= 0)
                   {%>
                    <li data-role="list-divider"><%:item.Name%></li>

                    <%}
                      else if (item.TreePlace== "Class" && item.Name!=LastClass)
                   {
                       LastClass = item.Name;%>
                    </ul><div data-role="collapsible" data-collapsed="true" data-theme="<%:Session["DividerStyle"]%>">
                    <h4><%: item.Name%></h4>
                    <ul data-role="listview" data-inset="false" data-divider-theme="<%:Session["DividerStyle"]%>">
                    <%} 
                      else if (item.TreePlace== "Class" && item.Name==LastClass)
                   {
                       LastClass = "";%>
                    </ul></div><ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
                    <%}
                   else if (item.TreePlace == "divider" & LastClass=="")
                   {%>
                    <li data-role="list-divider"></li>


                    <%}else
                      {%>
                    <li><a href="/EntityDic/Index/<%:item.ID %>?Type=<%:item.Type %>&Page=1"><%:item.Name%></a></li>
                    <%}
               }%>
        
    </ul>
</div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Header" runat="server">
    <div data-role="navbar" data-iconpos="right">
        <ul>
            <%= ViewBag.Getpath %>
        </ul>
    </div>
</asp:Content>
