﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE html>

<html>
<head id="Head1" runat="server">
    <meta charset="utf-8" />
	<title>彩蝶智慧校园</title> 
    <meta name="viewport" content="width=device-width" />
	<link href="/Content/Yunduansoft_Base1.2.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="/Content/Yunduansoft.structure-1.2.0.css" />
	<script type="text/javascript" src="<%: Url.Content("~/Scripts/jquery-1.6.4.js") %>"></script>
    <script type="text/javascript">
        $(document).bind("mobileinit", function () {
            // As of Beta 2, jQuery Mobile's Ajax navigation does not work in all cases (e.g.,
            // when navigating from a mobile to a non-mobile page, or when clicking "back"
            // after a form post), hence disabling it.
            $.mobile.ajaxEnabled = false;
        });
    </script>
    <script type="text/javascript" src="<%: Url.Content("~/Scripts/MB1.2.js") %>"></script>
</head>
<body>
<table><tr><td>
<div class="ui-body ui-body-d">
<div align=center>教师课程树</div>
<div data-role="collapsible-set">
<%
    string Name1="";
    string Name2 = "";
    foreach (var item in ViewBag.Tree)
        {
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</ul></div></div>");
                Name1 = item.Name1;
                Name2 = "";
            %><div data-role="collapsible" data-collapsed="true" data-mini=ture>
            <h4><%:item.Name1%></h4>
            <%}
            if (item.Name2 != Name2)
            {
                if (Name2 != "")
                    Response.Write("</ul></div>");
                Name2 = item.Name2;
            %><div data-role="collapsible" data-collapsed="true" data-mini=ture>
            <h4><%:item.Name2%></h4>
            <ul data-role="listview" data-inset="true" data-split-icon="arrow-r" data-divider-theme="<%:Session["DividerStyle"]%>" data-mini=ture>
            <li>
            <a href="/Schedule/ListTeacherSchedule?CourseID=<%:item.ID3 %>&ScheduleProjectID=<%:ViewBag.ScheduleProjectID%>" target="frame1"><%:item.Name2 %></a>
            <a href="/Schedule/ListTeacherSchedule?CourseID=<%:item.ID3 %>&ScheduleProjectID=<%:ViewBag.ScheduleProjectID%>" target="frame2">右方显示教师课表</a>
            </li>
            <%}%>
            <li>
            <a href="/Schedule/ListClassSchedule?CourseID=<%:item.ID3 %>&ScheduleProjectID=<%:ViewBag.ScheduleProjectID%>" target="frame3"><%:item.Name3 %></a>
            <a href="/Schedule/ListClassSchedule?CourseID=<%:item.ID3 %>&ScheduleProjectID=<%:ViewBag.ScheduleProjectID%>" target="frame4">右方显示班级课表</a>
            </li>
            <%
        }%>
        </ul></div></div>

</div>
<form action="/Schedule/ListClassCourse">
<input type="hidden" name="ScheduleProjectID" value="<%=ViewBag.ScheduleProjectID %>" />
<input type=submit value="切换到班级课程树" data-icon="refresh" />
</form>
</div>
</td></tr></table>
</body>
</html>
