﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<IEnumerable<EduCloud.Models.Entity>>" %>

<!DOCTYPE html>

<html>
    <head id="Head1" runat="server">
        <meta charset="utf-8" />
	    <title>彩蝶智慧校园</title> 
        <meta name="viewport" content="width=device-width" />
	    <link rel="stylesheet" href="<%: Url.Content("~/Content/Base.css") %>" />
        <link rel="stylesheet" href="<%: Url.Content("~/Content/MB.css") %>" />
	    <script type="text/javascript" src="<%: Url.Content("~/Scripts/jquery-1.6.4.js") %>"></script>
        <script type="text/javascript">
            $(document).bind("mobileinit", function () {
                // As of Beta 2, jQuery Mobile's Ajax navigation does not work in all cases (e.g.,
                // when navigating from a mobile to a non-mobile page, or when clicking "back"
                // after a form post), hence disabling it.
                $.mobile.ajaxEnabled = false;
            });
        </script>
        <script type="text/javascript" src="<%: Url.Content("~/Scripts/MB1.2.js") %>"></script>
    </head>
<body>
<div data-role="page" data-theme="d"  class="type-interior">
<div class="ui-body ui-body-<%:Session["PageStyle"]%>">

<%
    foreach (var item in Model)
        {
            %>
            <br />
            <ul data-role="listview" data-inset="true" data-split-icon="arrow-r" data-divider-theme="<%:Session["DividerStyle"]%>" data-mini=ture>
            <li><%:item.Description %></li>
            </ul><br />
            <%
            if (item.Type == "OptionalCourseTeacher")
            {%>
                <%=Html.Action("UserInfo", "Entity", new { id = Convert.ToInt32(item.Name) })%>
                <%--<%=Html.Action("ListRichText", "Entity", new { ParentID = Convert.ToInt32(item.Name), Type = "MainPicture", Page = 1 })%>--%>
                <%=Html.Action("ListArticle", "Entity", new { ParentID = Convert.ToInt32(item.Name), Type = "TeacherIntroduction", Page = 1 })%>
            <%}else if (item.Type == "TitleImage") Response.Write("<div align=center><img src='/Files/image/" + item.Name + "' /></div");
            else if (item.Type == "GradeRequiredCourseIntro") {%>
            <%=Html.Action("ListArticle", "Entity", new { ParentID = ViewBag.CourseID, Type = "GradeRequiredCourseIntro", Page = 1 })%>
             <%} else{%>
            <article><%:item.Name + item.Memo%></article>
            <%}%>
        <%}%>
</div>
</div>
</body>
</html>
