﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<IEnumerable<EduCloud.Models.Entity>>" %>

<!DOCTYPE html>

<html>
    <head id="Head1" runat="server">
        <meta charset="utf-8" />
	    <title>彩蝶智慧校园</title> 
        <meta name="viewport" content="width=device-width" />
	    <link rel="stylesheet" href="<%: Url.Content("~/Content/Base.css") %>" />
        <link rel="stylesheet" href="<%: Url.Content("~/Content/MB.css") %>" />
	    <script type="text/javascript" src="<%: Url.Content("~/Scripts/jquery-1.6.4.js") %>"></script>
        <script type="text/javascript">
            $(document).bind("mobileinit", function () {
                // As of Beta 2, jQuery Mobile's Ajax navigation does not work in all cases (e.g.,
                // when navigating from a mobile to a non-mobile page, or when clicking "back"
                // after a form post), hence disabling it.
                $.mobile.ajaxEnabled = false;
            });
        </script>
        <script type="text/javascript" src="<%: Url.Content("~/Scripts/MB.js") %>"></script>
    </head>
<body>
<%--<div data-role="page" data-theme="d"  class="type-interior">--%>
<div class="ui-body ui-body-<%:Session["PageStyle"]%>">
<h3>我的课程</h3>

<% if (ViewBag.Msg != null)
   { %>
<p style="color:Red"><%= ViewBag.Msg%></p></br>
<%} %>

<ul data-role="listview" data-inset="true" data-split-icon="delete" data-divider-theme="<%:Session["DividerStyle"]%>" data-theme=d>
<%
    int LastParentID = 0;
    foreach (var item in ViewBag.CourseList)
        {
            if (LastParentID != item.ID1)
            {
                Response.Write("<li data-role='list-divider'>"+item.Name1+"</li>");
                LastParentID = item.ID1;
            }
            %>
            
            <li>
            <a href="/SelectCourse/CourseDetail?CourseID=<%:item.ID2 %>" target="frame1"><%:item.Name2 %></a>
            <%if (item.Name3 == "14457")
              { %>
            <a href="/SelectCourse/DeleteCourse?CourseID=<%:item.ID2 %>">删除</a>
            <%} %>
            </li>
        <%}%>
</ul>
<br />
<% if (ViewBag.CreditSum != null) Response.Write("已选修总学分：" + ViewBag.CreditSum); %>
<br />
</div>
<%--</div>--%>
</body>
</html>
