﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
<%--<script src="/Scripts/SelectDate.js" type="text/javascript"></script> --%>

<form action="/Entity/AddLeafDB" method="post">
<ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
<li data-role="list-divider"></li>
<%
    string sAuto = "autofocus=true";
    bool SelectTrue = true;
foreach (var item in ViewBag.ContentList)
{
    string Action = item.Action;
    string SelectName = item.Type;
                
    switch (Action)
    {
        case "Text":
               %>
                        <li data-role="fieldcontain">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <input class="text-box single-line" name="<%:item.Type %>" id="<%:item.Type %>" type="text" value="" data-val="true" data-val-required="请填写！" <%=sAuto %> required="required" />
                        </li>
                        <%--<input name="Type" type="hidden" value="<%: item.Type %>" />
                        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />--%>
                        <input name="Description" type="hidden" value="<%:  item.HowMany  %>" />
                <%
            sAuto = "";
           break;
            case "Select":
                SelectList SL=(SelectList)ViewData[SelectName];
                if (SL.Count() == 0)
                {
                    SelectTrue = false;
                    %>
                    <li data-role="fieldcontain">
                        <label for="<%:item.Type %>"><%: item.Name%></label>
                        <select id="Select1" name="<%:item.Type %>">
                        <option value="">缺乏基础数据，不能添加！</option>
                        </select>
                    </li>
                    <%
                }
                else
                {
               %>
                    <li data-role="fieldcontain">
                        <label for="<%:item.Type %>"><%: item.Name%></label>
                        <select id="<%:item.Type %>" name="<%:item.Type %>">
                        <% 
                        
                    foreach (var selectItem in SL)
                    { %>
                        <option value="<%:selectItem.Value %>"><%:selectItem.Text%></option>
                        <%} %>
                        </select>
                    </li>
                    <input name="Description" type="hidden" value="FK" />
                    <%}
           break;
            case "TextArea":
               %>
                        <li data-role="fieldcontain" style="width:500px">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <textarea id="<%:item.Type %>" name="<%:item.Type %>" rows=5 data-val="true" data-val-required="请填写！" required="required"></textarea>
                        </li>
                        <%--<input id="Hidden2" name="Type" type="hidden" value="<%: item.Type %>" />
                        <input id="Hidden3" name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />--%>
                        <input name="Description" type="hidden" value="TextArea" />
                <% 
               break;
            case "Range":
               %>
                        <li data-role="fieldcontain">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <%if (item.FromID == 101) //表示-100 到 100
                              {%>
                            <input type="range" name="<%:item.Type %>" id="<%:item.Type %>" min="-100" max="100" step="1" data-val="true" data-val-required="请填写！" required="required"/>
                            <%}
                            else if (item.FromID > 0)
                              {%>
                            <input type="range" name="<%:item.Type %>" id="<%:item.Type %>" min="0" max="<%: item.FromID %>" step="1" data-val="true" data-val-required="请填写！" required="required"/>
                            <%}
                              else
                              { %>
                              <input type="range" name="<%:item.Type %>" id="<%:item.Type %>" min="<%: item.FromID %>" max="0" step="1" data-val="true" data-val-required="请填写！" required="required"/>
                            <%} %>
                        </li>
                        <%--<input name="Type" type="hidden" value="<%: item.Type %>" />
                        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />--%>
                        <input name="Description" type="hidden" value="Number" />
                    
                <% 
               break;
            case "Date":
               %>
                        <script src="/Scripts/SelectDate.js" type="text/javascript"></script> 
                        <li data-role="fieldcontain">
                        <div style="position:relative;z-index:19999;">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <input type="text" name="<%:item.Type %>" id="<%:item.Type %>" value ="<%=DateTime.Now.ToString("yyyy-MM-dd") %>" onfocus="HS_setDate(this)" data-val="true" data-val-required="请填写！" readonly="true" required="required"/>
                        </div>
                        </li>
                        <%--<input name="Type" type="hidden" value="<%: item.Type %>" />
                        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />--%>
                        <input name="Description" type="hidden" value="Date" />
                    
                <% 
               break;        
               
            case "DateTime":
               %>
               <%--<link href="../../Scripts/DateTime/css/jquery-ui.css" rel="stylesheet" type="text/css" />
                <script src="../../Scripts/DateTime/js/jquery-ui-slide.min.js" type="text/javascript"></script>
                <script src="../../Scripts/DateTime/js/jquery-ui.js" type="text/javascript"></script>
                <script src="../../Scripts/DateTime/js/jquery-ui-timepicker-addon.js" type="text/javascript"></script>--%>

                <style>
                .ui-timepicker-div .ui-widget-header { margin-bottom: 8px; } 
                .ui-timepicker-div dl { text-align: left; } 
                .ui-timepicker-div dl dt { height: 25px; margin-bottom: -25px; } 
                .ui-timepicker-div dl dd { margin: 0 10px 10px 65px; } 
                .ui-timepicker-div td { font-size: 90%; } 
                .ui-tpicker-grid-label { background: none; border: none; margin: 0; padding: 0; } 
                .ui_tpicker_hour_label,.ui_tpicker_minute_label,.ui_tpicker_second_label, 
                .ui_tpicker_millisec_label,.ui_tpicker_time_label{padding-left:20px} 
                </style>

                <script type="text/javascript">
                    $(function () {
                        $('#StartDateTime').datetimepicker();
                        $('#EndDateTime').datetimepicker();
                        $('#example_2').timepicker({});
                        $('#example_3').datetimepicker({
                            showSecond: true,
                            showMillisec: true,
                            timeFormat: 'hh:mm:ss:l'
                        });
                        $('#example_4').timepicker({
                            ampm: true,
                            hourMin: 8,
                            hourMax: 16
                        });
                        $('#example_5').datetimepicker({
                            hour: 13,
                            minute: 15
                        });
                        $('#example_6').datetimepicker({
                            numberOfMonths: 2,
                            minDate: 0,
                            maxDate: 30
                        });
                        $('#example_7').timepicker({
                            hourGrid: 4,
                            minuteGrid: 10
                        });


                        var ex8 = $('#example_8');

                        ex8.datetimepicker();

                        $('#example_8_set_btn').click(function () {
                            ex8.datetimepicker('setDate', (new Date()));
                        });

                        $('#example_8_get_btn').click(function () {
                            alert(ex8.datetimepicker('getDate'));
                        });
                    });
                </script>

                        <li data-role="fieldcontain">
                        <div style="position:relative;z-index:19999;">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <input type="text" name="<%:item.Type %>" id="<%:item.Type %>"  data-val="true" data-val-required="请填写！" required="required"/>
                        </div>
                        </li>
                        <input name="Description" type="hidden" value="DateTime" />
                    
                <% 
               break;        
               

            case "SelectLayer":
               %>
                <div style="background-color:White; padding:10px 10px 10px 10px">
                    <label for="<%:item.Type %>"><%: item.Name%></label>
                    <%=Html.Action("SelectListLayerLeaf", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type,ActionType="ForAdd" })%>
                </div>
                <% 
               break; 
               }//end case
    
            }
            
            %>
            <li>
            <input name="Type" type="hidden" value="<%: ViewBag.Type %>" />
            <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
            <%if (SelectTrue)
              { %>
            <input type="submit" value="添加" data-icon="check"/>
            <%} %>
            </li>
            </ul>
</form>