﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<EduCloud.Models.Entity>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

<% if (ViewBag.ParentID != (int)Session["UserID"] & ViewBag.ParentType!="Section")
   {
       if(ViewBag.ParentAction!="RichText"){%>
    <%=Html.Action("Details", new { id = ViewBag.ParentID,Page=ViewBag.Page })%>
    <%}else
    {
        %>
    <%=Html.Action("DetailsTextArea", new { id = ViewBag.ParentID,Page=1 })%>
    <%}
}%>

<%if (ViewBag.ParentType == "User")
    {%>
    <table style="display:inline-block"><tr><td><%=Html.Action("UserInfo", new { id = ViewBag.ParentID})%></td></tr></table>

<%}%>

<%
    if (!String.IsNullOrEmpty(ViewBag.Msg))
        Response.Write("<p style='color:black'>" + ViewBag.Msg + "</p><br/>"); %>


<%
    string LastClass = "";
    string haveClass = "";
  
int i = 0;
if (!(Session["Version"] == "MB" && ViewBag.Type == "All"))
foreach (var item in ViewBag.ContentList)
{%>


<br />
<div style="display:inline; vertical-align:top; padding:20px 0px 20px 0px; margin:0px 0px 0px 0px; border:0px solid white">

<div data-role="footer" data-theme="<%:Session["DividerStyle"]%>">
<div data-role="navbar" data-iconpos="left">
    <ul>
        <li  >
       <a href="/Entity/Index/<%= ViewBag.ParentID %>?Type=<%= item.Type %>&Page=1" data-icon=home><b><%: item.Name%></b></a>
        </li>
        <% if (item.W == "true" & !"Action.ListLayer".Contains(item.Action))
           { %>
       <li >
       <a href="#<%=item.Type %>add" data-rel="popup" data-theme="c" data-icon=add title="点击添加..">[添加]</a></li>
           <%}
    if ("BatchText.SelectList.SelectLayer".Contains(item.Action))
              { %>
            <li  data-theme="c"><a href="/Entity/ListLayerIFrame?FromParentID=<%:ViewBag.ParentID %>&FromType=<%:item.Type %>&ParentID=<%:ViewBag.ParentID %>&Type=<%:item.Type %> " data-theme="c" data-icon=arrow-u target=_blank >[快捷浏览]</a></li>
            <%} %>       
    </ul>
</div>
</div>



<div data-role="popup" id="<%=item.Type %>add" style="padding:10px 10px 10px 10px;">
<a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>
<%
    if (item.Description == null) item.Description = "";
    int Page = ViewBag.Type == "All" ? 1 : ViewBag.Page;

    if (item.W== "true") //item.TreePlace=="Leaf" && ViewBag.ContentList.Count == 1
    {
    string DefaultVal="";
    if (!String.IsNullOrEmpty(item.DefaultVal))
        DefaultVal = item.DefaultVal;
        
    string Action = item.Action;
    string SelectName = item.Type;
        
    switch (Action)
    {
        case "Text":
        case "must":
        case "Must":
            if (item.TreePlace != "Branch")
            {%>
        <% using (Html.BeginForm())
           {       
               %>
                    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style="width:500px">
                        <li data-role="list-divider">添加：<%: item.Name%></li>
                        <li>
                            <input  id="Name" name="Name" type="text" value="" data-val="true" data-val-required="请填写！" autofocus=true required/>
                        </li>
                        <input name="Type" type="hidden" value="<%: item.Type %>" />
                        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
                        <input name="Description" type="hidden" value="<%:  item.HowMany  %>" />
                        <li>
                            <input type="submit" value="添加" data-icon="check"/>
                        </li>
                    </ul>
                <%};
            }
           break;

            case "BatchText":
               %>
            <% using (Html.BeginForm())
               {       
                   %>
                <%: Html.ValidationSummary(true)%>
                    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style="width:500px">
                        <li data-role="list-divider">添加：<%: item.Name%></li>
                        <li>
                            <textarea id="Name" name="Name" rows=10 placeholder="可输入多行批量添加" data-val="true" data-val-required="请填写！" required="required"></textarea>
                            <%: Html.ValidationMessageFor(model => model.Name)%>
                        </li>
                        <input id="Hidden2" name="Type" type="hidden" value="<%: item.Type %>" />
                        <input id="Hidden3" name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
                        <input name="Description" type="hidden" value="BatchText" />
                        <li>
                            <input type="submit" value="添加" data-icon="check"/>
                        </li>
                    </ul>
                <% };
               break;
               
            case "TextArea":
               %>
            <% using (Html.BeginForm())
               {       
                   %>
                <%: Html.ValidationSummary(true)%>
                    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style="width:500px">
                        <li data-role="list-divider">添加：<%: item.Name%></li>
                        <li>
                            <textarea id="Textarea1" name="Memo" rows=5 placeholder="<%: DefaultVal %>" data-val="true" data-val-required="请填写！" autofocus=autofocus required="required"></textarea>
                            <%: Html.ValidationMessageFor(model => model.Name)%>
                        </li>
                        <input id="Hidden2" name="Type" type="hidden" value="<%: item.Type %>" />
                        <input id="Hidden3" name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
                        <input name="Description" type="hidden" value="TextArea" />
                        <li>
                            <input type="submit" value="添加" data-icon="check"/>
                        </li>
                    </ul>
                <% };
               break;

            case "Range":
               %>
            <% using (Html.BeginForm())
               {       
                   %>
                <%: Html.ValidationSummary(true)%>
                    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style="width:300px">
                        <li data-role="list-divider">选择数值：<%: item.Name%></li>
                        <li>
                            <%if (item.FromID == 101) //表示-100 到 100
                              {%>
                            <input type="range" name="<%:item.Type %>" id="<%:item.Type %>" min="-100" max="100" step="1" data-val="true" data-val-required="请填写！" required="required"/>
                            <%}
                            else if (item.FromID > 0)
                              {%>
                            <input type="range" name="Name" min="0" max="<%: item.FromID %>" step="1" />
                            <%}
                              else
                              { %>
                              <input type="range" name="Name" min="<%: item.FromID %>" max="0" step="1" />
                            <%} %>
                        </li>
                        <input name="Type" type="hidden" value="<%: item.Type %>" />
                        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
                        <input name="Description" type="hidden" value="Number" />
                        <li>
                            <input type="submit" value="确认" data-icon="check"/>
                        </li>
                    </ul>
                <% };
               break;
            case "iJoin":
               %>
            <% using (Html.BeginForm())
               {       
                   %>
                <%: Html.ValidationSummary(true)%>
                    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>"  style="display:inline-block">
                        <li data-role="list-divider"><%: item.Name%></li>
                        <input type="hidden" name="Name" value=<%:Session["UserID"] %> />
                        <input name="Type" type="hidden" value="<%: item.Type %>" />
                        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
                        <input name="Description" type="hidden" value="FK" />
                        <li>
                            <input type="submit" value="提交" data-icon="check"/>
                        </li>
                    </ul>
                <% };
               break;               
    }//end case
       %>


<%if (item.TreePlace == "Batch")
    {%>
            <% using (Html.BeginForm())
               {       
                   %>
                <%: Html.ValidationSummary(true)%>
                    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style="width:500px">
                        <li data-role="list-divider">单个或批量添加</li>
                        <li>
                            <textarea id="Textarea2" name="Memo" rows=5 placeholder="<%: DefaultVal %>" data-val="true" data-val-required="请填写！"></textarea>
                            <%: Html.ValidationMessageFor(model => model.Name)%>
                        </li>
                        <input id="Hidden1" name="Type" type="hidden" value="<%: item.Type %>" />
                        <input id="Hidden4" name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
                        <input name="Description" type="hidden" value="Batch" />
                        <li>
                            <input type="submit" value="批量添加" data-icon="check"/>
                        </li>
                    </ul>
                <% }%>

<%} %>
   
 <%    if (item.Action == "SelectList")
    {%>

        <%=Html.Action("SelectList", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type })%>

<%}%>

 <%    if (item.Action == "Select" & item.TreePlace != "Branch")
    {%>

        <%=Html.Action("Select", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type })%>

<%}%>

 <%    if (item.Action == "Date" & item.TreePlace != "Branch")
    {%>
        <%=Html.Action("SelectDate", new { ParentID = ViewBag.ParentID, Type = item.Type })%>
<%}%>

 <%    if (item.Action == "DateTime" & item.TreePlace != "Branch")
    {%>
        <%=Html.Action("SelectDateTime", new { ParentID = ViewBag.ParentID, Type = item.Type })%>
<%}%>


<%    if (item.Action == "SelectLayer" && item.TreePlace != "Branch")
    {%>

        <%=Html.Action("SelectListLayer", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type })%>

<%}%>

 <%    if (item.TreePlace == "Branch" && item.Action != "BatchText" && item.Type != "ListTeacherAndRate")
    {%>
        <%=Html.Action("AddLeaf", new { ParentID = ViewBag.ParentID, Type = item.Type })%>
<%}%>

<%if (item.Action == "RichText" || item.Action == "Article")
    {%>
        <%=Html.Action("AddRichText", new {ParentID = ViewBag.ParentID, Type = item.Type })%>
<%}%>



<%if (item.Action == "Image")
    {%>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布图文（图片文件限1兆以内）</li>
        <li>
        <div data-role="controlgroup" data-type="horizontal">
            <label for="Name">选择图片：</label>
            <%--<div id="fileQueue"></div>--%>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件"<%-- id="uploadify"--%>/>
            <%--<a href="javascript:$('#uploadify').uploadifyUpload()"  data-role="button" data-icon="arrow-f" data-iconpos="right">上传</a>--%>
            <a href ="http://down.tech.sina.com.cn/list/80_2_1.html" target="new" data-role="button" data-icon="arrow-r" data-iconpos="right">图片压缩工具</a>
        </div>
        </li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！" ></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: item.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Image" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
<%} %>


<%if (item.Action == "Video")
    {%>
<div data-role="collapsible">
<h4>视频</h4>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布视频（MP4（推荐）/AVI/MPG/WMV/rmvb/rm）（视频文件限500兆以内）</li>
        <li>
        <div data-role="controlgroup" data-type="horizontal">
            <label for="Name">选择视频：</label>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件" onchange="checkSize(this,300)"/>
            <a href ="http://mobile.youku.com/index/pc" target="new" data-role="button" data-icon="arrow-r" data-iconpos="right">视频压缩为MP4(优酷转码)</a>
        </div>
        </li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！"></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: item.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Video" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>

<div data-role="collapsible">
<h4>嵌入视频链接</h4>
<% using (Html.BeginForm())
    {       
        %>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">嵌入外部视频链接（MP4（推荐）/AVI/MPG/WMV/rmvb/rm）</li>
        <li data-role="fieldcontain">
            <label for="Name">外部视频链接地址：</label>
            <input class="text-box single-line" id="Text2" name="Name" type="text" value="" data-val="true" data-val-required="请填写！" placeholder="优库、土豆等视频文件的链接地址，例如 http://www.youku.com/file.mp4 等" />
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！" ></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: item.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Embed" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>
</div>
<%} %>

<%if (item.Action == "Audio")
    {%>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布录音/音乐（MP3文件大小限100兆）</li>
        <li data-role="fieldcontain">
            <label for="Name">选择Mp3文件：</label>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件" onchange="checkSize(this,20)"/></li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！" ></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: item.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="Audio" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>

<%} %>

<%if (item.Action == "File")
    {%>
<% using (Html.BeginForm("UploadFile", "Entity", FormMethod.Post, new { enctype = "multipart/form-data",id="formImage" }))
    {%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li data-role="list-divider">发布文件（文件大小限200兆；若多个文件请先压缩为一个文件包）</li>
        <li data-role="fieldcontain">
            <label for="Name">选择文件：</label>
            <input type="file" name="upfile"  data-val="true" data-val-required="未选中文件" onchange="checkSize(this,20)"/></li>
        <li>
            <textarea name="Memo" rows=5 data-val="true" data-val-required="请填写！"></textarea>
        </li>
        <input name="Type" type="hidden" value="<%: item.Type %>" />
        <input name="ParentID" type="hidden" value="<%: ViewBag.ParentID %>" />
        <input name="Description" type="hidden" value="File" />
        <input name="Page" type="hidden" value="<%: ViewBag.Page %>" />
        <li>
            <input type="submit" value="发布" data-icon="grid"/>
        </li>
    </ul>
<%} %>

<%} %>

<%} %>
</div>

    <%
        ////////////////////////////////////////////显示结果列表


    if (item.Action == "RichText")
      { %>
            <%=Html.Action("ListRichText", new { ParentID = ViewBag.ParentID, Type = item.Type, Page=Page})%>
    <%}%>
    <% else if (item.Action == "Article" || item.Action == "Image" || item.Action == "Audio" || item.Action == "Video" || item.Action == "File")
      { %>
            <%=Html.Action("ListArticle", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page })%>
    <%}%>
        <%else if (item.Action == "TextArea")
      { %>
            <%=Html.Action("ListArticle", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page })%>
    <%}
        else if (item.Action == "DesktopList")
      { %>
            <%=Html.Action("DesktopList", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page })%>
    <%}
        else if (item.Action == "DeskTop")
      { %>
            <%=Html.Action("DeskTop", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page })%>
    <%}
        else if (item.Action == "QuoteList")
      { %>
            <%=Html.Action("QuoteList", new { ParentID = ViewBag.ParentID, Type = ViewBag.Type, Page = Page })%>
    <%}
      else if (item.Action == "ListLayer")
      { %>
        <%=Html.Action("ListLayer", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type })%>

    <%}
      else if (item.Type == "ListTeacherAndRate")
      { %>
            <%=Html.Action("ListTeacherAndRate", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page })%>
    <%}
      else if (item.Action == "Action")
    {
        string ActionName = item.FromType; %>
        <%=Html.Action(ActionName, new { ParentID = ViewBag.ParentID, Type = item.Type })%>
<%}
      else if (item.TreePlace == "BatchList")
    {%>
        <%=Html.Action("BatchListAdd", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page})%>
<%}
      else if (item.Action == "Search")
    {%>
        <%=Html.Action("ListSearch", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page})%>
<%}
      else
      { %>
            <%=Html.Action("List", new { ParentID = ViewBag.ParentID, Type = item.Type, Page = Page})%>
    <%} %>

    </div><br /><br /><br /><br /><br /><br /><br /><br /><br />
<%}%>

<br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
<br /><br /><br /><br /><br /><br /><br /><br /><br /><br />



</asp:Content>





<asp:Content ID="Content2" ContentPlaceHolderID="Menu" runat="server">
<%--<div data-role="collapsible-set" <% if (Session["PageStyle"]!="a"){%> style="background-color:#84C1FF"<%} %>>--%>
    <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">

        <% 
            string LastClass = "";
            string isType = "";
            if (Session["Version"]=="PC" || ViewBag.Type=="All")
               foreach (var item in ViewBag.menuList)
               {
                   if (ViewBag.Type == item.Type)
                       isType = "data-theme=e";
                   else
                       isType = "";
                   
                   if (item.Name.IndexOf("：") >= 0)
                   {%>
                    <li data-role="list-divider" style="font-size:12.5px;"><%:item.Name%></li>
                    <%}
                   else if (item.TreePlace == "Class" && item.Name != LastClass)
                   {
                       LastClass = item.Name;
                       if (ViewBag.ParentType != "Section")
                       {%>
            <li data-icon=arrow-u data-theme="<%:Session["DividerStyle"]%>"><a href="#<%: item.Type%>" data-rel="popup"><%: item.Name%></a></li>

            <div data-role="popup" id="<%: item.Type%>" data-theme="d">

            <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
                    <%}
                   }
                   else if (item.TreePlace == "Class" && item.Name == LastClass)
                   {
                       LastClass = "";
                       if (ViewBag.ParentType != "Section")
                       {%>
                    </ul></div>
                    <%}
                   }
                   else if (item.TreePlace != "Class" & !(LastClass != "" & ViewBag.ParentType == "Section"))
                   {
                       if (item.TreePlace == "divider")
                       {%>
                    <li data-role="list-divider"></li>
                    <%}
                       else if (item.TreePlace == "GroupBy")
                       {%>
                    <li><a href="/Entity/GroupBy/?ParentID=<%:ViewBag.ParentID%>&Type=<%:item.Type%>&Page=1" target=_blank><%:item.Name%></a></li>
                    <%}
                       else if (item.TreePlace == "GroupBySc")
                       {%>
                    <li><a href="/Entity/GroupByScore/?ParentID=<%:ViewBag.ParentID%>&Type=<%:item.Type%>&Page=1" target=_blank><%:item.Name%></a></li>
                    <%}
                       else if (item.Type == "RunSchedule")
                       {%>
                    <li><a href="/Schedule/Index/?ScheduleProjectID=<%:ViewBag.ParentID%>" target=_blank><%:item.Name%></a></li>
                    <%}
                       else if (item.Type == "ViewSchedule")
                       {%>
                    <li><a href="/Schedule/ViewSchedule/?ScheduleProjectID=<%:ViewBag.ParentID%>" target=_blank><%:item.Name%></a></li>
                    <%}
                       else if (item.Action == "ActionNew")
                       {%>
                    <li><a href="/Entity/<%=item.FromType%>/<%:ViewBag.ParentID%>?Type=<%:item.Type%>&Page=1" target=_blank><%:item.Name%></a></li>
                    <%}
                       else if (item.Action == "ControllerAction")
                       {%>
                    <li><a href="/<%=item.FromType%>/?ParentID=<%:ViewBag.ParentID%>&Type=<%:item.Type%>&Page=1" target=_blank><%:item.Name%></a></li>
                    <%}
                       else
                       {%>
                    <li <%=isType%>><a href="/Entity/Index/<%:ViewBag.ParentID%>?Type=<%:item.Type%>&Page=1"><%:item.Name%></a></li>
                    <%}
                   }
               }%>
        
    </ul>
<%--</div>--%>


</asp:Content>


<asp:Content ID="Content4" ContentPlaceHolderID="MainMenu" runat="server">

<% 
    if (ViewBag.BriefPage == null & Session["platfromMenuList"]!=null)
    {
        string LastClass = "";

        foreach (var item in (List<EduCloud.Models.EntityDic>)Session["platfromMenuList"])
        {
            if (item.TreePlace == "Class" && item.Name != LastClass)
            {
                if (LastClass != "")
                    Response.Write("</ul>");
                LastClass = item.Name;%>
                    <div style="width:140px;display:inline-block; margin:-9px 0px -9px 2px;text-align:center">
                    <ul data-role="listview" data-inset="true" data-theme="<%:Session["DividerStyle"]%>" >
                        <li data-icon=arrow-d style="font-size:12px"><a href="#<%: item.Type%>" data-rel="popup"><%: item.Name%></a></li>
                    </ul></div>
                    <div data-role="popup" id="<%:  item.Type%>" style=" padding:10px 10px 10px 10px;">
            
            <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" data-split-theme="<%:Session["DividerStyle"]%>">
            <%}
            else if (item.TreePlace == "Class" && item.Name == LastClass)
            {
                LastClass = "";%>
            </ul></div>
            <%}
            else if (item.TreePlace == "divider" & LastClass != "")
            {%>
            <li data-role="list-divider"></li>
            <%}
            else if (item.TreePlace == "GroupBy" & LastClass != "")
            {%>
            <li><a href="/Entity/GroupBy/?ParentID=<%:ViewBag.ParentID %>&Type=<%:item.Type %>&Page=1" target=_blank><%:item.Name%></a></li>
            <%}
            else if (item.Type == "RunSchedule" & LastClass != "")
            {%>
            <li><a href="/Schedule/Index/?ScheduleProjectID=<%:ViewBag.ParentID %>" target=_blank><%:item.Name%></a></li>
            <%}
            else if (item.Type == "ViewSchedule" & LastClass != "")
            {%>
            <li><a href="/Schedule/ViewSchedule/?ScheduleProjectID=<%:ViewBag.ParentID %>" target=_blank><%:item.Name%></a></li>
            <%}
            else if (item.Action == "ActionNew" & LastClass != "")
            {%>
            <li><a href="/Entity/<%=item.FromType %>/<%:ViewBag.ParentID %>?Type=<%:item.Type %>&Page=1" target=_blank><%:item.Name%></a></li>
            <%}
            else if (item.Action == "ControllerAction" & LastClass != "")
            {%>
            <li><a href="/<%=item.FromType %>"><%:item.Name%></a></li>
            <%}
            else if (item.Action == "ListLayer" & LastClass != "")
            {%>
                <li>
                <a href="/Entity/Index/8?Type=<%:item.Type %>&Page=1"><%:item.Name%></a>
                <a href="/Entity/ListLayerIFrame?FromParentID=<%: item.FromID %>&FromType=<%:item.FromType %>&ParentID=8&Type=<%:item.Type %> " target=_blank>双栏浏览</a></li>
                <%}
            else if (LastClass != "")
            {%>
            <li>
            <a href="/Entity/Index/8?Type=<%:item.Type %>&Page=1"><%:item.Name%></a>
            <%if ("Text.Select".Contains(item.Action))
              { %>
            <a href="/Entity/ListLayerIFrame?FromParentID=8&FromType=<%:item.Type %>&ParentID=8&Type=<%:item.Type %> " target=_blank>双栏浏览</a>
            <%} %>
            </li>
            <%}
        }
            %>
            <br />
<%} %>


<div data-role="footer"  data-theme="<%:Session["PageStyle"]%>">
<div data-role="navbar" data-iconpos="right">
    <ul>
        <%= ViewBag.GetNavPath %>
    </ul>
</div>
</div>

</asp:Content>


<asp:Content ID="Content3" ContentPlaceHolderID="Header" runat="server">
<%    if (ViewBag.BriefPage == null)
      {%>
    <table ><tr>
    <%--<td width=60 align="center" valign="top">
        <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li><a href="/"><img src="/Files/image/<%: Session["SchoolLogo"]%>" width="78"/>
            <div style="font-size:medium; font-weight:bold"><%: Session["SchoolName"]%></div><br />
            <p>移动教学办公、在线学习</p></a></li>
        </ul>
    </td>--%>

    <td><a href="/" height=80><img src="/Files/image/<%: Session["SchoolLogo"]%>" /></a></td>
    <%--<td><div style="font-size:xx-large; font-weight:bold; color:Orange"><%: Session["SchoolName"]%></div></td>--%>

<%--    <td align=center valign="top">
        <div data-role="controlgroup" data-type="horizontal" style="display:inline-block">
            <a href="/Entity/Index/8?Type=All&Page=1" data-role=button>教学办公平台</a>
            <a href="/" data-role=button>学校门户</a>
        </div>

    </td>--%>

     <td></td>

    <td  width="60" align="center" valign="top">
        <ul data-role="listview" data-inset="true">
        <li>
            <a href="/Entity/Index/8?Type=All&Page=1">内部平台首页</a>
        </li>
        <%--<li>
            <a href="/Entity/Index/1?Type=All&Page=1">校&nbsp&nbsp园&nbsp&nbsp首&nbsp&nbsp页</a>
        </li>--%>
        </ul>
     </td>
    
             <td></td>

    <td width="60" align="center" valign="top">
    <div style="position:relative;z-index:0;">
        <ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">
        <li>
        <%if (Request.IsAuthenticated)
          { %>
            <a href="/Entity/Index/<%: Session["UserID"]%>?Type=All&Page=1"><img src="/Files/Image/<%: Session["UserPic"]%>"  width="78"/>
            <h4><%: Session["UserRealName"]%></h4>
            <p>＞ 到我的桌面</p></a>
        <% }
          else
          { %>
            <a href="/Account/Logon/"><img src="/Files/Image/user3.png" width="78"/>
            <h4>登录</h4>
            <p>我的桌面</p></a>
        <% } %>   
        </li>
        </ul>
        </div>
     </td>
    </tr>
    </table>
<%} %>
</asp:Content>
