﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<EduCloud.Models.Entity>>" %>

<script src="/Scripts/ResizeImage.js" type="text/javascript"></script>

<script type="text/javascript">
    $(document).on("pageinit", function () {
        $(".photopopup").on({
            popupbeforeposition: function () {
                var maxHeight = $(window).height() - 60 + "px";
                $(".photopopup img").css("max-height", maxHeight);
            }
        });
    });
</script>

<%if (ViewBag.pageCount > 1)
  {%>
<div data-role="controlgroup" data-type="horizontal" align="right">

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=1" data-role="button">首页</a>

  <%if (ViewBag.pPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pPage %>" data-role="button" data-icon="arrow-l">&nbsp</a>
  <%} %>

  <%for (int i = ViewBag.pageMin; i <= ViewBag.pageMax; i++)
    { string p=i==ViewBag.Page? "<u>"+i+"</u>" : Convert.ToString(i);%>
        <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:i %>" data-role="button"><%=p%></a>
       <%}%>

  <%if (ViewBag.nPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.nPage %>" data-role="button" data-icon="arrow-r" data-iconpos="right">&nbsp</a>
  <%} %>

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pageCount %>" data-role="button">尾页：<%:ViewBag.pageCount %></a>

</div>
<%} %>

<% foreach (var item in Model) 
   {
       if (item.Type == "LeaveMeMsg" & ViewBag.Type=="MySentMsg")
       {%>
       <hr /><br /><br />
        <div class="ui-body ui-body-<%:Session["PageStyle"]%>" style="display:inline-block">收信人：<%=Html.Action("UserInfo", new { id = item.ParentID })%></div>
       <%}
       
       switch (item.Description)
       {
           case "TextArea":%>
                <%=Html.Action("DetailsTextArea", new { id = item.ID })%>
                <%break;
            case "Image": %>
                  <%=Html.Action("DetailsImage", new { id = item.ID })%>
                  <%break;
            case "Audio": %>
                  <%=Html.Action("DetailsAudio", new { id = item.ID })%>
                  <%break;
            case "Video": %>
                  <%=Html.Action("DetailsVideo", new { id = item.ID })%>
                  <%break;
            case "Embed": %>
                  <%=Html.Action("DetailsVideo", new { id = item.ID })%>
                  <%break;
            case "File": %>
                  <%=Html.Action("DetailsFile", new { id = item.ID })%>
                  <%break;
         }
} %>

<%if (ViewBag.pageCount > 1)
  {%>
<div data-role="controlgroup" data-type="horizontal" align="right">

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=1" data-role="button">首页</a>

  <%if (ViewBag.pPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pPage %>" data-role="button" data-icon="arrow-l">&nbsp</a>
  <%} %>

  <%for (int i = ViewBag.pageMin; i <= ViewBag.pageMax; i++)
    {
        string p = i == ViewBag.Page ? "<u>" + i + "</u>" : Convert.ToString(i);%>
        <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:i %>" data-role="button"><%=p%></a>
       <%}%>

  <%if (ViewBag.nPage > 0)
  {%>
  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.nPage %>" data-role="button" data-icon="arrow-r" data-iconpos="right">&nbsp</a>
  <%} %>

  <a href="/Entity/index/<%:ViewBag.ParentID %>?Type=<%:ViewBag.Type %>&Page=<%:ViewBag.pageCount %>" data-role="button">尾页：<%:ViewBag.pageCount %></a>

</div>
<%} %>