﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>


<ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>" style ="display :inline-block">
<li data-icon="search"><a href="#<%=ViewBag.Type %>search" data-rel="popup" data-theme="c">查询 / 筛选 / 统计</a></li>
</ul>

<div data-role="popup" id="<%=ViewBag.Type %>search" style="padding:10px 10px 10px 10px;">

<a href="#" data-rel="back" data-role="button" data-theme="<%:Session["DividerStyle"]%>" data-icon="delete" data-iconpos="notext" class="ui-btn-right">关闭</a>

<form action="/Entity/SearchLeafDB" method="post">
<input type="hidden" name="ParentID" value="<%:ViewBag.ParentID %>" />
<input type="hidden" name="Type" value="<%:ViewBag.Type %>" />

<ul data-role="listview" data-inset="true" data-divider-theme="<%:Session["DividerStyle"]%>">

<%
foreach (var item in ViewBag.ContentList)
{
    string Action = item.Action;
    string SelectName = item.Type;
                
    switch (Action)
    {
        case "Text":
        case "Branch":
        case "BatchText":
               %>
                        <li data-role="fieldcontain">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <input name="<%:item.Type %>" id="<%:item.Type %>" type="text" value="" />
                        </li>
                <%
           break;
            case "Select":
               %>
                    <li data-role="fieldcontain">
                        <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-type="horizontal" data-role="fieldcontain">
                        <legend><%: item.Name%></legend>
                        <% 
                        SelectList SL=(SelectList)ViewData[SelectName];
                        foreach (var selectItem in SL)
                           { %>
                        <input type="checkbox" name="<%:item.Type %>" id="<%:selectItem.Value %>" value="<%:selectItem.Value %>" class="custom" />
                        <label for="<%:selectItem.Value %>"><%:selectItem.Text%></label>
                        <%} %>
                        </fieldset>
                        </div>

                        <%--<%: Html.DropDownList(SelectName)%>--%>
                    </li>
            <% 
           break;
            case "Range":
               %>
                        <li data-role="fieldcontain">
                            <label for="<%:item.Type %>"><%: item.Name%></label>
                            <input type="range" name="<%:item.Type %>" id="<%:item.Type %>" value="0" min="0" max="<%: item.FromID %>" step="1" />
                        </li>
                    
                <% 
               break; 
            case "SelectLayer":
               %>
                <li data-role="fieldcontain">
                    <label for="<%:item.Type %>"><%: item.Name%></label>
                    <%=Html.Action("SelectListLayerLeaf", new { FromParentID = item.FromID, FromType = item.FromType, ParentID = ViewBag.ParentID, Type = item.Type,ActionType="ForSearch" })%>
                </li>
                <% 
               break;     
    }//end case
    
            }
            
            %><li><input type="submit" value="查询 / 筛选 / 统计" data-icon="search"/></li></ul>
</form>
</div>