﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<div data-role="collapsible-set" style="display:inline-block">
<%
    string sNoIcon = "";
    if (ViewBag.haveImg == true)
        sNoIcon = "data-icon='false'";

    string imgWidth = "100";
    if (ViewBag.Type == "Teacher")
        imgWidth = "280";
    else if (ViewBag.Type == "Student")
        imgWidth = "150";
    else if (ViewBag.Type == "OptionalCourse")
        imgWidth = "280";
    else if (ViewBag.isUser == true)
        imgWidth = "100";
    
    if (ViewBag.TypeCount == 2 && ViewBag.Tree.Count>0)
    {
        string Name1 = "";
        foreach (var item in ViewBag.Tree)
        {
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</ul></div>");
                Name1 = item.Name1;
    %>

    <div data-role="collapsible">
        <h4><%:item.Name1 %></h4>
        <ul data-role="listview" data-inset="true" data-split-icon="arrow-r">
            <%if (item.ID1 > 0)
              { %><li><a href="/Entity/Index/<%:item.ID1 %>?Type=<%=ViewBag.LastLayerType%>&Page=1"><%:item.Name2%>..</a></li>
            <li data-role="list-divider"></li><%} %>
        
        <%}%>
        <%--<ul data-role="listview" data-inset="true" data-split-icon="arrow-r" data-divider-theme="<%:Session["DividerStyle"]%>" style="display:inline-block">--%>
            <li style="display:inline-block">

            <%if (item.ID2 > 0)
              { %><a href="/Entity/Index/<%:item.ID2 %>?Type=All&Page=1" target=_blank>
                <%if (item.Memo3 != null)
                  { %><h4><%= item.Name2%></h4><table cellpadding=5><tr><%=ViewBag.TableTitle%></tr>
            <tr><%= item.Memo3%></tr></table><%}
                  else
                  { %><%= item.Name2%><%} %>
            </a>
            
            <%}else{ %>
            
                <%if (item.Memo3 != null)
                  { %><h4><%= item.Name2%></h4><table cellpadding=5><tr><%=ViewBag.TableTitle%></tr>
            <tr><%= item.Memo3%></tr></table><%}
                  else
                  { %><%= item.Name2%><%} %>
            <%} %>
            </li>
        
        <%}%>
        </ul></div>


<br />

<script src="/Scripts/CopyOrPrint.js" type="text/javascript"></script>
<div data-role="collapsible" data-collapsed="true">
<h4>表格输出 复制到Excel 或打印</h4>
<div data-role="controlgroup" data-type="horizontal">
<a href="javascript:;" onClick="doPrint()" data-role=button>打印</a>&nbsp&nbsp&nbsp&nbsp<a href="javascript:;" onClick="copyExcel()" data-role=button>复制（然后粘贴到Excel中，支持IE）</a>
</div>
<!--startprint-->
<div id="copynr" style="background-color:White; padding:10px 10px 10px 10px">
<%
        int i = 0;
        string page_break = "";
         Name1 = "";
        foreach (var item in ViewBag.Tree)
        {
            i++;
            if (item.Name1 != Name1)
            {
                i = 1;
                if (Name1 != "")
                {
                    Response.Write("</table></div>");
                    page_break = "style='PAGE-BREAK-BEFORE:always'";
                }
                Name1 = item.Name1;
    %>
        <hr />
        <div <%:page_break %>>
        <h4><%:item.Name1 %></h4>     
        <table border=1 cellpadding=5><tr><td> </td><%=ViewBag.TableTitle%></tr>
        <%}%>
            <tr><td><%:i %></td><td><%:item.Name2 %></td><%if (item.Memo3 != null)
              { %>
            <%=item.Memo3%><%} %></tr>
        <%}%>
        </table></div>


</div>
<!--endprint-->
</div>

    <%}%>




<%
    if (ViewBag.TypeCount == 3 && ViewBag.Tree.Count > 0)
    {
        string Name1 = "";
        string Name2 = "";
        int iLoop = 0;
        foreach (var item in ViewBag.Tree)
        {
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</ul> </div></div>");
                Name1 = item.Name1;
                Name2 = "";
        %><div data-role="collapsible">
        <h4><%=item.Name1%></h4>
        <%--<ul data-role="listview" data-inset="true" data-split-icon="arrow-r" style="display:inline-block;vertical-align:top;">
            <li><a href="/Entity/Index/<%:item.ID1 %>?Type=All&Page=1">前往 <%:item.Name1%> 查看</a></li></ul>--%>
        <%}
            if (item.Name2 != Name2)
            {
                if (Name2 != "")
                    Response.Write("</ul> </div>");
                Name2 = item.Name2;
        %>
        <div data-role="collapsible" data-collapsed="true">
        <h4><%=item.Name2%></h4>
        <ul data-role="listview" data-inset="true" data-split-icon="arrow-r" style="display:inline-block;vertical-align:top;">
            <%if (item.ID2 > 0)
              { %><li><a href="/Entity/Index/<%:item.ID2 %>?Type=<%=ViewBag.LastLayerType%>&Page=1"><%:item.Name2%>..</a></li>
            <li data-role="list-divider"></li><%} %>
            
        <%}%>
        <%--<ul data-role="listview" data-inset="true" data-split-icon="grid" data-split-theme="c" data-divider-theme="<%:Session["DividerStyle"]%>" style="display:inline-block;vertical-align:top;">--%>
        <li>

        <%if (item.ID3 > 0)
          { %>
            <a href="/Entity/Index/<%:item.ID3 %>?Type=All&Page=1">
            <%if (item.Memo3 != null)
              { %><h4><%= item.Name3%></h4><table cellpadding=5><tr><%=ViewBag.TableTitle%></tr>
            <tr><%= item.Memo3%></tr></table><%}
              else
              { %><article><%:item.Name3 %></article><%} %></a>

                  <%}
          else
          { %>

            <%if (item.Memo3 != null)
              { %><h4><%= item.Name3%></h4><table cellpadding=5><tr><%=ViewBag.TableTitle%></tr>
            <tr><%= item.Memo3%></tr></table><%}
              else
              { %><article><%:item.Name3 %></article><%} %>
              <%} %>

             <% 
            if (ViewBag.isUser == true)
            {%>
             </li><li data-icon="false"><a href="/Entity/Index/<%:item.ID3 %>?Type=All&Page=1" target=_blank>个人主页..</a>
                        <a href="/Entity/Index/<%:item.ID3 %>?Type=LeaveMeMsg&Page=1" target=_blank>给我发信</a>
             <% 
            }%>
        </li>
        <%iLoop++;
        }%>
        </ul> </div></div>



<br />
<script src="/Scripts/CopyOrPrint.js" type="text/javascript"></script>
<div data-role="collapsible" data-collapsed="true">
<h4>表格输出 复制到Excel 或打印</h4>
    <div data-role="controlgroup" data-type="horizontal">
    <a href="javascript:;" onClick="doPrint()" data-role=button>打印</a>&nbsp&nbsp&nbsp&nbsp<a href="javascript:;" onClick="copyExcel()" data-role=button>复制（然后粘贴到Excel中，支持IE）</a>
    </div>
    <!--startprint-->
    <div id="Div1" style="background-color:White; padding:10px 10px 10px 10px">

<%
        if (!ViewBag.Type.Contains( "RateItemValuePercentage")) //除了显示评教指标占比，其它均表格竖排
        {
            int i = 0;
            string page_break = "";

            Name1 = "";
            Name2 = "";
            foreach (var item in ViewBag.Tree)
            {
                i++;
                if (item.Name1 != Name1)
                {
                    if (Name1 != "")
                        Response.Write("</table></div>");

                    Name1 = item.Name1;
                    Name2 = "";
                %>
                <br/><hr /><h3><%=item.Name1%></h3>
        <%}
                if (item.Name2 != Name2)
                {
                    i = 1;
                    if (Name2 != "")
                    {
                        Response.Write("</table></div>");
                        page_break = "style='PAGE-BREAK-BEFORE:always'";
                    }
                    Name2 = item.Name2;
        %>
            <br/><div <%= page_break%>><h4><%=item.Name2%></h4><table border=1 cellpadding=5><tr><td> </td><%=ViewBag.TableTitle%></tr>
        <%}%>
            <tr><td><%:i%></td><td><article><%:item.Name3%></article></td><%if (item.Memo3 != null)
                                                                            { %>
            <%= item.Memo3%><%} %></tr>
        <%}%>
        </table></div>
        <%}
        else
        { 
        int i = 0;
        string page_break = "";

         Name1 = "";
         Name2 = "";
        foreach (var item in ViewBag.Tree)
        {
            i++;
            if (item.Name1 != Name1)
            {
                if (Name1 != "")
                    Response.Write("</table></tr></table></div>");

                Name1 = item.Name1;
                Name2 = "";
                %>
                <br/><div style='PAGE-BREAK-BEFORE:always'>
                <table border=1 cellpadding=5><tr><td><%=item.Name1%></td>
        <%}
            if (item.Name2 != Name2)
            {
                i = 1;
                if (Name2 != "")
                {
                    Response.Write("</table>");
                    page_break = "style='PAGE-BREAK-BEFORE:always'";
                }
                Name2 = item.Name2;%>
                
                <td style="vertical-align:top"><%=item.Name2%><table border=0 >
        <%}%>

            <tr><td><article style=" white-space:nowrap"><%:item.Name3 %></article></td><%if (item.Memo3 != null)
              { %>
            <%= item.Memo3%><%} %></tr>
        <%}%>
        </table></tr></table></div>


        <%} %>

    </div>
    <!--endprint-->
</div>

<%}%>

</div>