﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE html>

<html>
    <head id="Head1" runat="server">
        <meta charset="utf-8" />
	    <title><%: Session["SchoolName"]%></title> 
        <meta name="viewport" content="width=device-width" />
	    <link rel="stylesheet" href="<%: Url.Content("~/Content/Base.css") %>" />
        <link rel="stylesheet" href="<%: Url.Content("~/Content/MB.css") %>" />
	    <script type="text/javascript" src="<%: Url.Content("~/Scripts/jquery-1.6.4.js") %>"></script>
        <script type="text/javascript">
            $(document).bind("mobileinit", function () {
                // As of Beta 2, jQuery Mobile's Ajax navigation does not work in all cases (e.g.,
                // when navigating from a mobile to a non-mobile page, or when clicking "back"
                // after a form post), hence disabling it.
                $.mobile.ajaxEnabled = false;
            });
        </script>
        <script type="text/javascript" src="<%: Url.Content("~/Scripts/MB.js") %>"></script>
    </head>



<body>
<div class="ui-body ui-body-<%:Session["PageStyle"]%>">
<div align=center>课程树</div>
<%
    string Name1="";
    string Name2 = "";
    foreach (var item in ViewBag.Tree)
    {
        if (item.Name1 != Name1)
        {
            if (Name1 != "")
                Response.Write("</ul></div></div>");
            Name1 = item.Name1;
            Name2 = "";
            %><div data-role="collapsible" data-collapsed="true">
            <h4><%:item.Name1%></h4>
            <%}
        if (item.Name2 != Name2)
        {
            if (Name2 != "")
                Response.Write("</div>");
            Name2 = item.Name2;
            %><div data-role="collapsible" data-collapsed="true">
            <h4><%:item.Name2%></h4>
            <ul data-role="listview" data-inset="true" data-split-icon="arrow-r" data-divider-theme="<%:Session["DividerStyle"]%>">
            <%}%>
            <li>
                <a href="/Entity/Index?id=<%:item.ID3 %>&Type=All&Page=1" target="frame1"><%:item.Name3%></a>
            </li>
            <%
        }%>
        </ul></div></div>

        <input type=button value=刷新课程树 onclick="window.location.reload()" />

</div>
</body>
</html>
